Pivotal Knowledge Base

Follow

gpmigrator_mirror Fails with ERROR : pg_controldata: "Database cluster state: shutting down"

Environment

  • Pivotal Greenplum Database (GPDB) 4.3.x
  • Operating System- Red Hat Enterprise Linux (RHEL) 6.x

Symptom

When attempting an upgrade of Greenplum database from 4.2.x version to version 4.3.x, the installation fails with error message : - pg_controldata: "Database cluster state: shutting down".

Error Message

20160918:07:24:28:020778 gpmigrator_mirror:acmpmrkd301:gpadmin-[INFO]:-Modifying catalog version
20160918:07:24:28:020778 gpmigrator_mirror:acmpmrkd301:gpadmin-[INFO]:-To 4.3
20160918:07:24:28:030041 gpmigrator_mirror:sdw14:gpadmin-[CRITICAL]:-***************************************
20160918:07:24:28:030041 gpmigrator_mirror:sdw14:gpadmin-[CRITICAL]:-pg_controldata: "Database cluster state: shutting down"
Greenplum segment /data1/primary/gpseg78 did not shutdown cleanly
20160918:07:24:28:030041 gpmigrator_mirror:sdw14:gpadmin-[CRITICAL]:-Upgrade Failed..!!!
20160918:07:24:28:030041 gpmigrator_mirror:sdw14:gpadmin-[CRITICAL]:-...Database might be in an unusable state
20160918:07:24:28:030041 gpmigrator_mirror:sdw14:gpadmin-[CRITICAL]:-...Please check the logs, resolve the issue an re-run gpmigrator_mirror
20160918:07:24:28:030041 gpmigrator_mirror:sdw14:gpadmin-[CRITICAL]:-***************************************
20160918:07:24:28:029410 gpmigrator_mirror:sdw15:gpadmin-[CRITICAL]:-***************************************
20160918:07:24:28:029410 gpmigrator_mirror:sdw15:gpadmin-[CRITICAL]:-pg_controldata: "Database cluster state: shutting down"
Greenplum segment /data2/mirror/gpseg78 did not shutdown cleanly
20160918:07:24:28:029410 gpmigrator_mirror:sdw15:gpadmin-[CRITICAL]:-Upgrade Failed..!!!
20160918:07:24:28:029410 gpmigrator_mirror:sdw15:gpadmin-[CRITICAL]:-...Database might be in an unusable state
20160918:07:24:28:029410 gpmigrator_mirror:sdw15:gpadmin-[CRITICAL]:-...Please check the logs, resolve the issue an re-run gpmigrator_mirror
20160918:07:24:28:029410 gpmigrator_mirror:sdw15:gpadmin-[CRITICAL]:-***************************************
20160918:07:24:29:020778 gpmigrator_mirror:acmpmrkd301:gpadmin-[ERROR]:-Traceback (most recent call last):
File "/usr/local/greenplum-db-4.3.6.1/bin/gpmigrator_mirror", line 1094, in CatUpgrade
self.SetCatVersion(True)
File "/usr/local/greenplum-db-4.3.6.1/bin/gpmigrator_mirror", line 775, in SetCatVersion
self.CallSlaves('SETCATVERSION', tonewver)
File "/usr/local/greenplum-db-4.3.6.1/bin/gpmigrator_mirror", line 385, in CallSlaves

Resolution

This is a known issue when upgrading from 4.2.x to 4.3.x where the version is lesser than 4.3.6.2.

This has been fixed on 4.3.6.2. Hence ask the customer to upgrade to a higher version (4.3.6.2 or higher) for the solution.

Comments

Powered by Zendesk